Loading...
Searching...
No Matches
Dune::SolverCategory Struct Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers

Categories for the solvers. More...

`#include <dune/istl/solvercategory.hh>`

## Public Types

enum | Category { sequential , nonoverlapping , overlapping }

## Static Public Member Functions

template<typename OP>
static Category | category (const OP &op, decltype(op.category()) *=nullptr)
| Helperfunction to extract the solver category either from an enum, or from the newly introduced virtual member function.

## Detailed Description

Categories for the solvers.

## Member Enumeration Documentation

## Category

enum Dune::SolverCategory::Category

Enumerator
sequential | Category for sequential solvers.
nonoverlapping | Category for non-overlapping solvers.
overlapping | Category for overlapping solvers.

## Member Function Documentation

## category()

template<typename OP>

Category Dune::SolverCategory::category | ( | const OP & | op,
|  | decltype(op.category()) * | = nullptr )

inline static

Helperfunction to extract the solver category either from an enum, or from the newly introduced virtual member function.

The documentation for this struct was generated from the following file:

- solvercategory.hh